aboutsummaryrefslogtreecommitdiff
path: root/aux/workflow/dist.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-06-11 22:39:20 -0300
committerEuAndreh <eu@euandre.org>2021-06-11 22:39:20 -0300
commit3f9bd994223f78b7ec4ab80820d593066f27aa56 (patch)
treed656f616bf96354bc786ad6f8b9f74cb92d8561e /aux/workflow/dist.sh
parentaux/workflow/public.sh: Mark as executable (diff)
downloadpackage-repository-3f9bd994223f78b7ec4ab80820d593066f27aa56.tar.gz
package-repository-3f9bd994223f78b7ec4ab80820d593066f27aa56.tar.xz
Update files under aux/
Diffstat (limited to '')
-rwxr-xr-xaux/workflow/dist.sh15
1 files changed, 7 insertions, 8 deletions
diff --git a/aux/workflow/dist.sh b/aux/workflow/dist.sh
index 0ae0ec4..c061a04 100755
--- a/aux/workflow/dist.sh
+++ b/aux/workflow/dist.sh
@@ -2,26 +2,25 @@
set -eu
DATE="$1"
-VERSION="$2"
VVERSION="v$2"
PROJECT="$3"
if git show "$VVERSION" 1>/dev/null 2>/dev/null; then
- echo "Version '$VVERSION' already exists." >&2
- exit 1
+ echo "Version '$VVERSION' already exists." >&2
+ exit 1
fi
if [ "$DATE" != "$(git log -1 --format=%cd --date=short HEAD)" ]; then
- echo "Date '$DATE' is not up-to-date." >&2
- exit 1
+ echo "Date '$DATE' is not up-to-date." >&2
+ exit 1
fi
if [ "Release $VVERSION" != "$(git log --format=%B -1 HEAD | head -n1)" ]; then
- echo "Commit message isn't 'Release $VVERSION'." >&2
- exit 1
+ echo "Commit message isn't 'Release $VVERSION'." >&2
+ exit 1
fi
-sh aux/workflow/assert-changelog.sh "$DATE" "$VERSION" "$PROJECT"
+sh aux/workflow/assert-changelog.sh "$PROJECT"
git tag "$VVERSION"